Skip to main content
POST
/
v1
/
admin
/
reindex
/
jobs
/
{job_id}
/
cancel
Cancel a reindex job
curl --request POST \
  --url https://api.withsplendor.com/v1/admin/reindex/jobs/{job_id}/cancel \
  --header 'Authorization: Bearer <token>' \
  --header 'x-splendor-tenant-id: <x-splendor-tenant-id>'
{
  "completed_at": null,
  "created_at": "2026-01-15T09:30:00Z",
  "error_message": null,
  "job_id": "rdx_01H8Z3",
  "manifest_cutoff_at": "2026-01-15T09:30:00Z",
  "object_count": 120,
  "object_status_counts": {
    "done": 80,
    "pending": 40
  },
  "promotion_id": "prom_1",
  "replay_document_count": 830000,
  "source_document_count": 1240000,
  "source_generation_ids": [
    4
  ],
  "status": "running",
  "target_generation_id": 5,
  "target_index_id": "acme__app-logs__g5",
  "tenant_id": "acme",
  "updated_at": "2026-01-15T09:30:00Z"
}

Authorizations

Authorization
string
header
required

API token issued from the Splendor console.

Headers

x-splendor-tenant-id
string
required

Selects the tenant (workspace) the request acts within.

Path Parameters

job_id
string
required

Response

Successful Response

completed_at
string<date-time> | null
required
created_at
string<date-time>
required
error_message
string | null
required
job_id
string
required
manifest_cutoff_at
string<date-time>
required
object_count
integer
required
object_status_counts
Object Status Counts · object
required
promotion_id
string | null
required
replay_document_count
integer
required
source_document_count
integer
required
source_generation_ids
integer[]
required
status
string
required
target_generation_id
integer
required
target_index_id
string
required
tenant_id
string
required
updated_at
string<date-time>
required